﻿Module Module1
    ' Funzione InputBox senza dipendenza Visual Basic (trovata in internet e adattata)

    Public Function InputBox(ByVal txtTitle As String, ByVal txtPrompt As String, ByRef txtValue As String) As DialogResult
        Dim form As New Form
        Dim label As New Label
        Dim textBox As New TextBox
        Dim btnOk As New Button
        Dim btnCancel As New Button

        form.Text = txtTitle
        label.Text = txtPrompt
        textBox.Text = txtValue

        btnOk.Text = "Ok"
        btnCancel.Text = "Annulla"
        btnOk.DialogResult = DialogResult.OK
        btnCancel.DialogResult = DialogResult.Cancel

        label.SetBounds(9, 19, 372, 13)
        textBox.SetBounds(12, 36, 372, 20)
        btnOk.SetBounds(228, 72, 75, 23)
        btnCancel.SetBounds(309, 72, 75, 23)

        label.AutoSize = True
        textBox.Anchor = textBox.Anchor Or AnchorStyles.Right
        btnOk.Anchor = AnchorStyles.Bottom Or AnchorStyles.Right
        btnCancel.Anchor = AnchorStyles.Bottom Or AnchorStyles.Right

        form.ClientSize = New Size(396, 107)
        form.Controls.AddRange(New Control() {label, textBox, btnOk, btnCancel})
        form.ClientSize = New Size(Math.Max(300, label.Right + 10), form.ClientSize.Height)
        form.FormBorderStyle = FormBorderStyle.FixedDialog
        form.StartPosition = FormStartPosition.CenterScreen
        form.MinimizeBox = False
        form.MaximizeBox = False
        form.AcceptButton = btnOk
        form.CancelButton = btnCancel

        Dim dlgResult = form.ShowDialog()
        txtValue = textBox.Text
        Return dlgResult

    End Function

End Module
